Use the 'master' branch to download toolchain sources by default.

The 'eclair' branch cannot be built with the current version of build-toolchain.sh
(More precisely, gdbserver link fails without a patch that is in master but not eclair).

Change-Id: Ib7d4f058d88afbfce6fb22fe1c5b6f08925c9ae3
diff --git a/ndk/build/tools/download-toolchain-sources.sh b/ndk/build/tools/download-toolchain-sources.sh
index 5d8332d..ffbc065 100755
--- a/ndk/build/tools/download-toolchain-sources.sh
+++ b/ndk/build/tools/download-toolchain-sources.sh
@@ -31,7 +31,7 @@
 RELEASE=`date +%Y%m%d`
 
 # the default branch to use
-BRANCH=eclair
+BRANCH=master
 
 GITCMD=git
 
@@ -161,10 +161,12 @@
     fi
     log "checking out $BRANCH branch of $1.git"
     cd $1
-    run git checkout -b $BRANCH origin/$BRANCH
-    if [ $? != 0 ] ; then
-        echo "Could not checkout $1 ?"
-        exit 1
+    if [ "$BRANCH" != "master" ] ; then
+        run git checkout -b $BRANCH origin/$BRANCH
+        if [ $? != 0 ] ; then
+            echo "Could not checkout $1 ?"
+            exit 1
+        fi
     fi
     # get rid of .git directory, we won't need it.
     cd ..